Package ghidra.app.plugin.debug

# Class DomainEventComponentProvider

java.lang.Object
docking.ComponentProvider
ghidra.framework.plugintool.ComponentProviderAdapter
ghidra.app.plugin.debug.DomainEventComponentProvider

All Implemented Interfaces:
  `ActionContextProvider`, `HelpDescriptor`

public class DomainEventComponentProvider extends ComponentProviderAdapter

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `tool`

  ### Fields inherited from class docking.ComponentProvider

  `DEFAULT_WINDOW_GROUP, dockingTool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainEventComponentProvider(PluginTool tool, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentHidden()`
  Notifies the provider that the component is being hidden.
  `JComponent`
  `getComponent()`
  Returns the component to be displayed
  `Font`
  `getFont()`
  `void`
  `setFont(Font font)`

  ### Methods inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `getTool`

  ### Methods inherited from class docking.ComponentProvider

  `addLocalAction, addToTool, addToToolbar, adjustFontSize, canBeParent, closeComponent, componentActivated, componentDeactived, componentShown, contextChanged, createContext, createContext, createContext, getActionContext, getContextType, getDefaultWindowPosition, getHelpInfo, getHelpLocation, getHelpObject, getIcon, getInstanceID, getIntraGroupPosition, getMappedName, getMappedOwner, getName, getOwner, getSubTitle, getTabText, getTitle, getWindowGroup, getWindowSubMenuName, initializeInstanceID, isActive, isFocusedProvider, isInTool, isSnapshot, isTransient, isVisible, registerAdjustableFontId, registerProviderNameOwnerChange, removeAllLocalActions, removeFromTool, removeLocalAction, requestFocus, resetFontSize, setDefaultWindowPosition, setHelpLocation, setIcon, setIntraGroupPosition, setKeyBinding, setSubTitle, setTabText, setTitle, setTransient, setVisible, setWindowGroup, setWindowMenuGroup, toFront, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DomainEventComponentProvider

    public DomainEventComponentProvider(PluginTool tool, String name)

- ## Method Details

  - ### getComponent

    public JComponent getComponent()
    Description copied from class: `ComponentProvider`
    Returns the component to be displayed
    Specified by:
      `getComponent` in class `ComponentProvider`
    Returns:
      the component to be displayed

  - ### componentHidden

    public void componentHidden()
    Description copied from class: `ComponentProvider`
    Notifies the provider that the component is being hidden. This happens when the provider is being closed.
    Overrides:
      `componentHidden` in class `ComponentProvider`
    See Also:
      - `ComponentProvider.componentHidden()`

  - ### getFont

    public Font getFont()

  - ### setFont

    public void setFont(Font font)